Package org.pentaho.reporting.libraries.formula.function.math

## Class MaxFunction

- java.lang.Object
- - org.pentaho.reporting.libraries.formula.function.math.MaxFunction

- All Implemented Interfaces:
    `java.io.Serializable`, `Function`
  Direct Known Subclasses:
    `MaxAFunction`

      public class MaxFunction
      extends java.lang.Object
      implements Function

  This function returns the maximum from a set of numbers.
  Author:
    Cedric Pronzato
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MaxFunction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TypeValuePair` | `evaluate​(FormulaContext context, ParameterCallback parameters)` |
    `java.lang.String` | `getCanonicalName()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaxFunction

          public MaxFunction()

  - ### Method Detail

    - #### evaluate

          public TypeValuePair evaluate​(FormulaContext context,
                                        ParameterCallback parameters)
                                 throws EvaluationException

      Specified by:
        `evaluate` in interface `Function`
      Throws:
        `EvaluationException`

    - #### getCanonicalName

          public java.lang.String getCanonicalName()

      Specified by:
        `getCanonicalName` in interface `Function`